Levain LabsLevain Labs
ApiBilling

Update Settings

Patch billing settings; absent fields are not modified.

Patch billing settings; absent fields are not modified.

PUT
/api/v1/billing/settings

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Header Parameters

X-API-Key?string|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://api.levainlabs.com/api/v1/billing/settings" \  -H "Content-Type: application/json" \  -d '{}'
{
  "extra_usage_limit_usd_micros": 0,
  "auto_topup_enabled": true,
  "auto_topup_threshold_usd_micros": 0,
  "auto_topup_amount_usd_micros": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}